package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.StoreCollection;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.StoreCollectionMapper")
public interface StoreCollectionMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(StoreCollection record);

    StoreCollection selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(StoreCollection record);

    List<StoreCollection> queryAllStoreCollection(StoreCollection record);

    List<StoreCollection> queryStoreCollectionByPage(Map<String, Object> parameter);

    int delete(String id);

    StoreCollection queryStoreCollection(StoreCollection record);

    List<StoreCollection> query(StoreCollection record);
}

